
long lit_event(struct WM_wwork *wwk, struct WM_litm *li);
long lit_reset(struct WM_wwork *wwk, short lit);
long re_size(struct WM_wwork *wwk, int lit_size1);
long lit_resev(struct WM_wwork *wwk, struct WM_litm *li);

void re_scale(struct WM_wwork *wwk, short *pdx, short *pdy);
void scale(struct WM_swdef *sw, char sc[], short dx, short dy);


#define lit_move   0
#define lit_resize 1
#define lit_coeur  2
#define lit_wake   3
#define lit_mode   4
#define lit_zzz    5
#define lit_lleft   6
#define lit_tup    7
#define lit_tdown  8
#define lit_lright 9
#define lit_rleft 10
#define lit_bup   11
#define lit_bdown   12
#define lit_rright 13
#define lit_4 14
#define lit_Q 15
#define lit_8 16
#define lit_Set 17
#define lit_Unset 18

#define lit_noir 19
#define lit_rouge 20
#define lit_vert 21
#define lit_blanc 22
#define lit_bleu 23
#define lit_magenta 24
#define lit_cyan 25
#define lit_jaune 26

#define lit_rplus 27
#define lit_gplus 28
#define lit_bplus 29
#define lit_wplus 30
#define lit_wmoins 31
#define lit_rmoins 32
#define lit_gmoins 33
#define lit_bmoins 34
#define lit_save  35
#define lit_load 36

#define lit_bxquery 37
#define lit_rxquery 38
#define lit_byquery 39
#define lit_ryquery 40

#define lit_rotleft 41
#define lit_rotright 42
#define lit_rotup 43
#define lit_rotdown 44

#define lit_transleft 45
#define lit_transright 46
#define lit_transup 47
#define lit_transdown 48

#define lit_40to8 49
#define lit_40to4 50
#define lit_8to40 51
#define lit_4to40 52
#define lit_m4to40 53
#define lit_m40to4 54

#define lit_loadq 55
#define lit_4to8 56
#define lit_8to4 57
#define lit_m4to8 58
#define lit_m8to4 59

#define lit_bnoir 60
#define lit_bbleu 61
#define lit_brouge 62
#define lit_bmagenta 63
#define lit_bvert 64
#define lit_bcyan 65
#define lit_bjaune 66
#define lit_bblanc 67

#define lit_colorchoice 68
#define lit_mload 69
#define lit_m40to8 70
#define lit_m8to40 71

#define lit_mrotleft 72
#define lit_mrotright 73
#define lit_mrotup 74
#define lit_mrotdown 75

#define lit_mtransleft 76
#define lit_mtransright 77
#define lit_mtransup 78
#define lit_mtransdown 79

#define lit_color256 80
#define lit_256 81
#define lit_256to4 82
#define lit_256to8 83
#define lit_256to40 84
#define lit_4to256 85
#define lit_8to256 86
#define lit_40to256 87

#define lit_m256to4 88
#define lit_m256to8 89
#define lit_m256to40 90
#define lit_m4to256 91
#define lit_m8to256 92
#define lit_m40to256 93

#define lit_c2m 94
#define lit_fill 95
#define lit_xchange 96
#define lit_replace 97
#define lit_w2m 98
#define lit_invmask 99
#define lit_invcol 100
#define lit_saveb 101

#define K_PLAY     242
#define K_ABOUT    248
#define K_COEUR    3
#define K_MOVE     5
#define K_RESIZE   6
#define K_MODE     244
#define K_WAKE     8
#define K_ZZZ      7
#define K_EXTEND   234
#define K_LANG     238
#define K_OPPO     240
#define K_HELP     4
#define K_NIVEAU   236


#define GRIDX 68
#define GRIDY 60
#define CASEX 6
#define CASEY 6



extern unsigned long the_sprite[GRIDY][GRIDX];
extern unsigned long the_mask[GRIDY][GRIDX];

extern unsigned char the_sprite256[GRIDY][GRIDX];
extern unsigned char the_mask256[GRIDY][GRIDX];



extern  int editor_mode;
extern int top,bottom,lefti,righti;

void write_demo(char moda, char * nom, FILE * fd);
void write_demo_bin(char moda, FILE * fd);
void write_demo_as68(char moda, char * nom, FILE * fd);

void read_demo(char moda, FILE * fd, int fd1);

void read_qpic(FILE * fd,int fd1);

void read_mqpic(FILE * fd,int fd1);

extern struct WM_sprite rleft, rright, rup, rdown, smask, dmask;
extern struct WM_sprite bleft, bright, bup, bdown;
extern struct WM_sprite left,right,up,down;
extern struct WM_sprite rotate,translate,bxquery,byquery,rxquery,ryquery,spdanger;
extern struct WM_sprite spql4toq40,spql8toq40, spq40toql4, spq40toql8,picload;

extern unsigned char initial_mode,initial_haut,initial_larg,conf_qmacas68,conf_bouton;
extern struct WM_sprite mk4to40,mk40to4,sp_pixmap,sp_s_kcontrol;

extern struct WM_sprite sp_replace, sp_xchange, sp_center;

extern struct WM_sprite coul_0, coul_1, coul_2, coul_3,chargement, sp_fill;
extern struct WM_sprite coul_5, coul_6, coul_7, coul_4,sauvegardeb, sauvegarde, sp_c2m,sp_w2m;

extern struct WM_sprite sp4to8, sp8to4,sp_s_paint,mpic,mk8to40,mk40to8;
extern int not_q40;
extern void update_demo();
extern void update_dimension();

extern struct WM_sprite spql4to256, spql8to256, spq40to256;
extern struct WM_sprite sp256toql4, sp256toql8, sp256toq40, sp_invmask;

extern struct WM_sprite mk4to256, mk8to256, mkq40to256;
extern struct WM_sprite mk256to4, mk256to8, mk256toq40;
